Skip to main content
GET
/
api
/
v1
/
hubs
/
{hub_id}
/
members
/
{contact_id}
/
profile-attributes
Fetch a member's peer-visible profile attributes
curl --request GET \
  --url https://api.member.dev/api/v1/hubs/{hub_id}/members/{contact_id}/profile-attributes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "created_at": "2023-11-07T05:31:56Z",
        "definition_id": "<string>",
        "hub_id": "<string>",
        "is_in_onboarding": true,
        "is_in_profile": true,
        "is_read_only": true,
        "is_required": true,
        "position": 123,
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "contact_attribute_hub_configs"
    }
  ],
  "included": [
    {
      "attributes": {
        "created_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "is_contact_editable": true,
        "name": "<string>",
        "position": 123,
        "slug": "<string>",
        "team_id": "<string>",
        "type": "<string>",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "contact_attribute_definitions"
    }
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required
contact_id
string
required

Response

Successful Response

data
HubConfigResource · object[]
required
included
(DefinitionResource · object | OptionResource · object | ContactValueResource · object)[]
required
meta
Meta · object
required